## AgsApplyBpm

AgsApplyBpm — apply bpm

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsApplyBpm * | ags_apply_bpm_new ()

## Properties

double | bpm | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplyBpm

## Includes

    #include <ags/audio/task/recall/ags_apply_bpm.h>

## Description

The AgsApplyBpm task applys bpm to AgsDelayAudio.

## Functions

### ags_apply_bpm_new ()

    AgsApplyBpm *
    ags_apply_bpm_new (GObject *scope,
                       gdouble bpm);

Create a new instance of AgsApplyBpm.

#### Parameters

scope | the GObject |
bpm | the bpm to apply |

#### Returns

the new AgsApplyBpm

Since: 3.0.0

## Property Details

### The `“bpm”` property

      “bpm”                      double

The bpm to apply to scope.

Owner: AgsApplyBpm

Flags: Read / Write

Allowed values: >= 0

Default value: 120

Since: 3.0.0

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject as scope.

Owner: AgsApplyBpm

Flags: Read / Write

Since: 3.0.0